org.gradle.api.provider

## Interface PropertyState<T>

- Type Parameters:
    `T` - Type of value represented by property state
  All Superinterfaces:
    Provider<T>
  All Known Subinterfaces:
    DirectoryVar, RegularFileVar

      @Incubating
      public interface PropertyState<T>
      extends Provider<T>

  A `Provider` representation for capturing property state. The value can be provided by using the method `set()`.

  Note: This interface is not intended for implementation by build script or plugin authors. An instance of this class can be created through the factory methods `Project.property(java.lang.Class)` or `ProviderFactory.property(java.lang.Class)`.

  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `set(Provider<? extends T> provider)` Sets the value defined by an external provider.
    `void` | `set(T value)` Sets the value defined for the property.

    - ### Methods inherited from interface org.gradle.api.provider.Provider

      `get, getOrNull, isPresent`

- - ### Method Detail

    - #### set

          void set(@Nullable
                 T value)

      Sets the value defined for the property.
      Parameters:
        `value` - Value, can be null.

    - #### set

          void set(Provider<? extends T> provider)

      Sets the value defined by an external provider.
      Parameters:
        `provider` - Provider